Download it now!
Bug 58651 - [Writer] Options in Position tab of paragraph style not distributed equally over available space
Summary: [Writer] Options in Position tab of paragraph style not distributed equally o...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.0.0.0.beta2
Hardware: Other All
: medium normal
Assignee: leighman
URL:
Whiteboard: target:4.1.0 target:4.0.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-22 14:37 UTC by Mirosław Zalewski
Modified: 2013-01-01 16:29 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Position tab in three versions of LO (134.80 KB, image/png)
2012-12-22 14:37 UTC, Mirosław Zalewski
Details
More spacing (55.94 KB, image/png)
2012-12-22 20:47 UTC, leighman
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mirosław Zalewski 2012-12-22 14:37:59 UTC
Created attachment 71975 [details]
Position tab in three versions of LO

(In #57520 I was asked to file new bug report, so I do.)

In Writer, in paragraph styles properties, "Position" Tab options are crowded. There is too much space on the right side of dialog.

Take a look at attached image. It shows LO 3.6.4-final, LO 4.0 beta2 (Build ID: 835cae7e323b9831d11f5f4957933728f561e71) and LO 4.1-master (Build ID: 9be06943013547b0e0d74bf5c98f3146584ae84) dialogs side by side. 3.6.4 is run under Linux, 4.x are run under Windows 7.

As you can see 4.x dialogs are crowded. 4.0 has additional vertical space near "headers", but they are still not enough.
Although 3.6 has it's own issues with alignment, it provides overall better impression, as options are more evenly distributed over available space.

I think that especially "Raise/lower by" and "Relative font size" could be moved more on right. There could be additional horizontal spacing between "0 degrees", "90 degrees" and "270 degrees", as well as some vertical spacing between degrees and "Scale width". All "Spacing" could be expanded horizontally at least a bit. This should provide a feeling that available space is used more rationally without making huge spaces between logically linked elements.

Best regards
Mirosław Zalewski
Comment 1 leighman 2012-12-22 20:47:05 UTC
Created attachment 72000 [details]
More spacing

How does the attached look to you?
Slightly difficult to tell since Ubuntu rather than Windows but should be better.
Hopefully things should improve more as more dialogs are converted and we get the final kinks sorted out.
Comment 2 Mirosław Zalewski 2012-12-22 23:25:14 UTC
That's definitely better.

But I wonder: could "Raise/lower by" and "Relative font size" be moved more on the right? It should give feeling of using horizontal space as well as vertical.

Sorry for being such a complainer, but these design details are important (especially for users who were coddled by Apple product designs and will feel that there is something wrong with LO).

Thanks for looking on this issue! :)
Comment 3 leighman 2012-12-23 14:05:46 UTC
Done and pushed to gerrit.
Comment 4 Not Assigned 2013-01-01 16:22:46 UTC
Jack Leigh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e350815692a9f660f2dabddc0f76262697b64a1b

fdo#58651 improve layout/spacing of positionpage.ui



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Not Assigned 2013-01-01 16:28:39 UTC
Jack Leigh committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5ee54bcb9c7713c7233b0bb9f7671c6e61047585&h=libreoffice-4-0

fdo#58651 improve layout/spacing of positionpage.ui


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.